source ./env/bin/activate
for topic in climate-change corporate-tax drug-policy gay-marriage obamacare
do
    for model in roberta-base bert-base-cased bert-base-uncased
    do
        for dataset in Breitbart CBS CNN Fox HuffPost NPR NYtimes usatoday wallstreet washington
        do
            for aug in manual_clean no_augmentation
            do
                echo "$topic $model $dataset $aug"
                python ./main.py --seed=42 --model_dataset=$topic --task=encode_media --output_dir=./model/$model/model_$topic/42/$dataset --data_dir=./data/data_$topic --model_type=bert --model_name_or_path=$model --do_eval --loss_type=mlm --line_by_line --overwrite_output_dir --dataset=$dataset --augment_type=$aug --multiple_number=1
            done
        done
    done
done